Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.stream
Class ResourceNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.red5.server.api.stream.ResourceNotFoundException

All Implemented Interfaces:
  Serializable

    public class ResourceNotFoundException

extends Exception

See Also:
  Serialized Form

Constructor Summary
`ResourceNotFoundException()` Constructs a new ResourceNotFoundException.
`ResourceNotFoundException(String message)`
`ResourceNotFoundException(String message, Throwable cause)`
`ResourceNotFoundException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceNotFoundException

    public ResourceNotFoundException()

  Constructs a new ResourceNotFoundException.

### ResourceNotFoundException

    public ResourceNotFoundException(String message,
                                     Throwable cause)

### ResourceNotFoundException

    public ResourceNotFoundException(String message)

### ResourceNotFoundException

    public ResourceNotFoundException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project